#uninstall.sh
#===============================================================================================
# Removes the spreader application from the device
#
# ****** CONFIGURE SETTINGS HERE ****************
#===============================================================================================
SPREADER_GPS_REPORT=1                           # GPS Report to trigger spreader app to run
SPREADER_GPS_REPORT_SCRIPT=1020                 # The report script number to use
SPREADER_PCYP_STRING=1000			            # Set the PCYP id to use.
SPREADER_RESET_PCYP_STRING=1500                 # The PCYP string id for reset command

SPREADER_TMP_TO_NV_REPORT=51                    # Report to copy from /tmp to SD card
SPREADER_NV_TO_TMP_REPORT=52                    # Report to copy from SD to /tmp
SPREADER_RESET_REPORT=99                        # Reset report number
SPREADER_RESET_DEST=cypressvue.com              # Reset report destination

SPREADER_BAUD_RATE=115200                       #
VCC_REPORT_TRIGGER=3                            # VCC trigger while ignition on
DATA_SAVE_TIME=1800                             # How often spreader data saved to SD while ign on

IGN_OFF_TIGGER=7                                # Report trigger for ignition off
IGN_ON_TIGGER=8                                 # Report trigger for ignition on
#--------------------------------------------------------------------------------------------------

#--------------------------------------------------------------------------------------------------
# Remove files and report scripts
#--------------------------------------------------------------------------------------------------
rm -f /var/data/reports/scripts/spreader.py
rm -f /var/data/reports/scripts/report$SPREADER_TMP_TO_NV_REPORT.sh
rm -f /var/data/reports/scripts/report$SPREADER_NV_TO_TMP_REPORT.sh
rm -f /var/data/reports/scripts/report$SPREADER_GPS_REPORT_SCRIPT.sh
rm -f /var/data/reports/scripts/report$SPREADER_RESET_REPORT.sh
rm -f /var/data/reports/scripts/uninstall_cs550.sh
rm -f /var/data/reports/scripts/spreader_data.*

rm -f /tmp/SeasonalReset
rm -f /tmp/spreader_data.*

#--------------------------------------------------------------------------------------------------
#Configure CTM-200
#--------------------------------------------------------------------------------------------------
cmd vcccond $VCC_REPORT_TRIGGER 0
cmd vccreport $VCC_REPORT_TRIGGER 0

cmd igncond $IGN_OFF_TIGGER 0
cmd ignreport $IGN_OFF_TIGGER 0

cmd igncond $IGN_ON_TIGGER 0
cmd ignreport $IGN_ON_TIGGER 0

cmd reptype $SPREADER_TMP_TO_NV_REPORT 0 0 0 0 0
cmd reptype $SPREADER_NV_TO_TMP_REPORT 0 0 0 0 0

# Setup the serial port and AUX details
cmd port 1 115200 8 n 1 0
cmd mode 2

cmd aux dev AUX1

# Setups the the reporting and PCYP data
if /usr/bin/cmd gpsaddmes | grep "$SPREADER_PCYP_STRING"; then
    cmd gpsdelmes $SPREADER_GPS_REPORT $SPREADER_PCYP_STRING
fi

#Removes the USR_STR and GPIO Data from the pcyp string
if /usr/bin/cmd pcyp msg query | grep "$SPREADER_PCYP_STRING:"; then
    cmd pcyp msg del $SPREADER_PCYP_STRING
fi

cmd repdelmes $SPREADER_RESET_REPORT 0
cmd reptype $SPREADER_RESET_REPORT 0 0 0 0 0

if /usr/bin/cmd pcyp msg query | grep "$SPREADER_RESET_PCYP_STRING:"; then
    cmd pcyp msg del $SPREADER_RESET_PCYP_STRING
fi

cmd save
cmd event add CS550_UNINSTALL_OK
